# Gets a report's publish settings

Get a Report's publish settings based on the specified ID

Endpoint: GET /reports/{reportId}/publish
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `reportId` (number, required)
    ID of the report being accessed.

## Response 200 fields (application/json):

  - `readOnlyFullAccessibleBy` (string)
    Indicates who can access the 'Read-Only Full' view of the published report:
* If ALL, it is available to anyone who has the link.
* If ORG, it is available only to members of the report owner's Smartsheet organization account.
* If SHARED, it is available only to users shared to the item.

Only returned in a response if readOnlyFullEnabled = true.

  - `readOnlyFullDefaultView` (string)
    Indicates which view the user has set for a read-only, default view of the published report. Must be one of
the following values: CALENDAR, CARD, or GRID.

  - `readOnlyFullEnabled` (boolean)
    (Required) If true, a rich version of the report is published with the ability to download row
attachments and discussions.

  - `readOnlyFullUrl` (string)
    URL for 'Read-Only Full' view of the published report.

Only returned in a response if readOnlyFullEnabled = true.

  - `readOnlyFullShowToolbar` (boolean)
    Deprecated Indicates whether the left nav toolbar is displayed. The default, or true, is to display the toolbar.
If false, hides the toolbar.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


